class CfgPatches 
{
    class Bunker_R655 
	{
        units[] = {"Bunker_R655"};
        weapons[] = {};
		requiredAddons[] = {"A3_Structures_F"};
		requiredVersion = 0.1;
		

    };
};

class CfgVehicles 
{
    class House;
    class Bunker_R655 : House
	{
        scope = 2;
        model = "\Bunker_R655\Bunker_R655.p3d";
		displayName = "R655"
		vehicleClass = Structures;
		mapSize = 20.27;
		cost = 60000;
		
		class AnimationSources
		{
			class door_2_Rotation
			{
				source = "user";
				initPhase = 0;
				animPeriod = 1;
				sound = "GenericDoorsSound";
			};
		};
		
		class UserActions
		{
			class open_door_2
			{
				displayNameDefault = "<img image='\A3\Ui_f\data\IGUI\Cfg\Actions\open_door_ca.paa' size='2.5' />";
				displayName = "Gittertür öffnen";
				position = "Door_2_actionPoint";
				priority = 0.4;
				radius = 10;
				onlyForPlayer = false;
				condition = ((this animationPhase 'door_2_Rotation') < 0.5)
				showWindow = 0;
				statement = "this animate [""door_2_Rotation"", 1];";
			};
			
			class close_door_2
			{
				displayNameDefault = "<img image='\A3\Ui_f\data\IGUI\Cfg\Actions\open_door_ca.paa' size='2.5' />";
				displayName = "Gittertür schliessen";
				position = "Door_2_actionPoint";
				priority = 0.2;
				radius = 10;
				onlyForPlayer = false;
				showWindow = 0;
				condition = ((this animationPhase 'door_2_Rotation') >= 0.5)
				statement = "this animate [""door_2_Rotation"", 0];";
			};
			
		
		};
		
    };
};