#include "BIS_AddonInfo.hpp"
class CfgPatches 
{
    class Bunker_R655 
	{
		requiredAddons[] = {"A3_Structures_F"};
		requiredVersion = 0.1;
        weapons[] = {};
        units[] = {"Bunker_R655"};
    };
};

class CfgVehicles 
{
    class House;
    class Bunker_R655 : House
	{
	
	    scope = 2;
        model = "\Bunker_R655\Bunker_R655.p3d";
		displayName = "R655";
		vehicleClass = Structures;
		mapSize = 20.27;
		cost = 100000;
		
		class AnimationSources
		{
			class door_1_source
			{
				source = user;
				initPhase = 0;
				animPeriod = 1.5;
				sound = "GenericDoorsSound";
			};

		};
		
		class UserActions
		{
			class open_door_1
			{
				displayNameDefault = "<img image='\A3\Ui_f\data\IGUI\Cfg\Actions\open_door_ca.paa' size='2.5' />";
				displayName = "Gittertür öffnen";
				position = 'door_1_actionPoint';
				priority = 0.4;
				radius = 10;
				onlyForPlayer = false;
				condition = ((this animationPhase 'door_1_rotation') < 0.5);
				statement = ([this, 'door_1_rotation'] call BIS_fnc_DoorNoHandleOpen);
			};
			class close_door_1: open_door_1
			{
				displayName = "Gittertür schliessen";
				priority = 0.2;
				condition = ((this animationPhase 'door_1_rotation') >= 0.5);
				statement = ([this, 'door_1_rotation'] call BIS_fnc_DoorNoHandleClose);
			};		

		};
    };
};